## grandfatherclock 1.0.1

=== doc/Makefile ===
#
# Project: grandfatherclock
# File:    installation script
# Type:    make(1) script
#



#
# Constants
#
           NAME=grandfatherclock
        VERSION=1.0.1
        RELEASE=1suse

         RPMDIR=/usr/src/packages
         BINDIR=/usr/bin
         MANDIR=/usr/man
         ETCDIR=/etc/$(NAME)



#
# Generic Targets
#
usage:
	@echo "make usage"
	@echo "  report usage"
	@echo "make unpack"
	@echo "  expand tar.gz package"
	@echo "  requires $(NAME)-$(VERSION).tar.gz"
	@echo "make install"
	@echo "  integrate into system"
	@echo "  requires $(NAME)-$(VERSION)/"
	@echo "  edit Makefile to change installation directories"
	@echo "make uninstall"
	@echo "  disconnect from system"
	@echo "  edit Makefile to change installation directories"
	@echo "make clean"
	@echo "  remove unpacked from system"
	@echo "make realclean"
	@echo "  remove packages"
	@echo "make changes"
	@echo "  compare $(NAME)-$(VERSION)/"
	@echo "  to installation
	@echo "make tgz"
	@echo "  rebuild tar.gz package"
	@echo "  requires $(NAME)-$(VERSION)/"
	@echo "make rpm"
	@echo "  build rpm packages"
	@echo "  requires $(NAME)-$(VERSION)/"

unpack:
	tar -zxvf $(NAME)-$(VERSION).tar.gz

install:
	if test -L $(BINDIR)/$(NAME); then rm $(BINDIR)/$(NAME); fi
	ln -s `pwd`/$(NAME)-$(VERSION)/bin/$(NAME) $(BINDIR)/$(NAME)
	mkdir -p $(ETCDIR)
	cp $(NAME)-$(VERSION)/etc/grandfatherclockrc $(ETCDIR)/$(NAME)rc
	gzip -c $(NAME)-$(VERSION)/doc/grandfatherclock.6 > $(MANDIR)/man6/$(NAME).6.gz

uninstall:
	-rm $(BINDIR)/$(NAME)
	-rm -r $(ETCDIR)
	-rm -r $(MANDIR)/man6/$(NAME).6.gz

clean:
	-rm -r $(NAME)-$(VERSION)/
	-rm -r $(RPMDIR)/BUILD/$(NAME)-$(VERSION)/
	-rm $(RPMDIR)/SOURCES/$(NAME)-$(VERSION).tar.gz
	-rm $(RPMDIR)/SPECS/$(NAME).spec
	-rm $(RPMDIR)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm
	-rm $(RPMDIR)/RPMS/noarch/$(NAME)-$(VERSION)-$(RELEASE).noarch.rpm

realclean: uninstall clean
	-rm $(NAME)-$(VERSION).tar.gz
	-rm $(NAME)-$(VERSION)-$(RELEASE).src.rpm
	-rm $(NAME)-$(VERSION)-$(RELEASE).noarch.rpm

changes:
	@for f in $$(cd $(NAME)-$(VERSION); find . -type f -print); \
	do \
	  if ! cmp -s $(NAME)-$(VERSION)/$$f /opt/$(NAME)/$$f; \
	  then \
	    echo $$f; \
	  fi; \
	done

tgz: $(NAME)-$(VERSION).tar.gz

rpm: $(NAME)-$(VERSION)-$(RELEASE).src.rpm $(NAME)-$(VERSION)-$(RELEASE).noarch.rpm

.ALWAYS:



#
# Specific Targets
#
$(NAME)-$(VERSION).tar.gz: .ALWAYS
	@if grep -q "NAME=$(NAME)" $(NAME)-$(VERSION)/doc/Makefile ;\
	then true; else \
	  echo "ERROR: NAME=$(NAME) mismatch with $(NAME)-$(VERSION)/doc/Makefile" ;\
	  exit 2 ;\
	fi
	@if grep -q "VERSION=$(VERSION)" $(NAME)-$(VERSION)/doc/Makefile ;\
	then true; else \
	  echo "ERROR: VERSION=$(VERSION) mismatch with $(NAME)-$(VERSION)/doc/Makefile" ;\
	  exit 2 ;\
	fi
	@if grep -q "RELEASE=$(RELEASE)" $(NAME)-$(VERSION)/doc/Makefile ;\
	then true; else \
	  echo "ERROR: RELEASE=$(RELEASE) mismatch with $(NAME)-$(VERSION)/doc/Makefile" ;\
	  exit 2 ;\
	fi
	@if grep -q "define name $(NAME)" $(NAME)-$(VERSION)/doc/$(NAME).spec ;\
	then true; else \
	  echo "ERROR: define name $(NAME) mismatch with $(NAME)-$(VERSION)/doc/$(NAME).spec" ;\
	  exit 2 ;\
	fi
	@if grep -q "define version $(VERSION)" $(NAME)-$(VERSION)/doc/$(NAME).spec ;\
	then true; else \
	  echo "ERROR: define version $(VERSION) mismatch with $(NAME)-$(VERSION)/doc/$(NAME).spec" ;\
	  exit 2 ;\
	fi
	@if grep -q "define release $(RELEASE)" $(NAME)-$(VERSION)/doc/$(NAME).spec ;\
	then true; else \
	  echo "ERROR: define release $(RELEASE) mismatch with $(NAME)-$(VERSION)/doc/$(NAME).spec" ;\
	  exit 2 ;\
	fi
	tar -zcvf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)

$(NAME)-$(VERSION)-$(RELEASE).src.rpm $(NAME)-$(VERSION)-$(RELEASE).noarch.rpm: $(NAME)-$(VERSION).tar.gz
	cp $(NAME)-$(VERSION)/doc/$(NAME).spec $(RPMDIR)/SPECS/
	cp $(NAME)-$(VERSION).tar.gz $(RPMDIR)/SOURCES/
	rpm -ba --target=noarch $(NAME)-$(VERSION)/doc/$(NAME).spec
	cp $(RPMDIR)/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm .
	cp $(RPMDIR)/RPMS/noarch/$(NAME)-$(VERSION)-$(RELEASE).noarch.rpm .

## grandfatherclock 1.0.2

=== doc/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Project: grandfatherclock
 # File:    installation script
 # Type:    make(1) script
+# Author:  Dr. Robert J. Meier
+# History: 00-07-21 -rjm- file creation
 #
 
 
@@ -10,7 +12,7 @@
 # Constants
 #
            NAME=grandfatherclock
-        VERSION=1.0.1
+        VERSION=1.0.2
         RELEASE=1suse
 
          RPMDIR=/usr/src/packages
@@ -42,7 +44,7 @@
 	@echo "  remove packages"
 	@echo "make changes"
 	@echo "  compare $(NAME)-$(VERSION)/"
-	@echo "  to installation
+	@echo "  to installation"
 	@echo "make tgz"
 	@echo "  rebuild tar.gz package"
 	@echo "  requires $(NAME)-$(VERSION)/"

=== debian/changelog ===
grandfatherclock (1.0.2-6) unstable; urgency=low

  * QA upload.
  * patches/fix_default_play_command.patch
  - Add patch to fix playback command (LP: #480960)

 -- Ricardo Mones <mones@debian.org>  Sun, 30 May 2010 11:45:38 +0200

grandfatherclock (1.0.2-5) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format
  - Add source/format, debian/patches/* with current diff.gz patches,
    Add new files also in diff.gz: cron example file renamed to avoid
    clash with build directory, added empty build target to Makefile
  * debian/control 
  - Set maintainer address to QA group
  - Bump Standards-Version (no other changes), added Homepage as field
  * debian/control, debian/rules, debian/compat, debian/clean
  - Switch to debhelper sequencer, bump debhelper version and compat
    and fix URL, added clean file for provided files
  * debian/copyright
  - Reformatted following DEP5
  * debian/menu
  - Fixed obsolete "Apps" section
  * debian/watch
  - Added watch file
  * debian/postinst
  - Added "set -e" according policy 10.4

 -- Ricardo Mones <mones@debian.org>  Fri, 14 May 2010 08:18:39 +0200

grandfatherclock (1.0.2-4) unstable; urgency=low

  * acknowledged NMU
  * no /usr/doc symlink (closes: #359427)
  * debian/conffiles: removed because new debhelper automatically marks
    /etc/grandfatherclockrc as conffiles
  * doc/grandfatherclock.6: escaped minus signs
  * debian/postinst: use && instead of test -a (just to silence lintian)
  * debian/postinst: removed the -f option from rm (if removing an existing
    file fails, it should be reported as an error)

 -- Oohara Yuuma <oohara@debian.org>  Sat, 30 Dec 2006 10:18:40 +0900

grandfatherclock (1.0.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359427).
  * Upgrade packaging to more current standars.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 16 Jul 2006 17:18:13 +0200

grandfatherclock (1.0.2-3) unstable; urgency=low

  * debian/copyright: updated the e-mail address of the upstream

 -- Oohara Yuuma <oohara@debian.org>  Fri,  2 Aug 2002 23:50:50 +0900

grandfatherclock (1.0.2-2) unstable; urgency=low

  * bin/grandfatherclock, etc/grandfatherclockrc: changed the default
    name of the lock file to follow FHS

 -- Oohara Yuuma <oohara@debian.org>  Thu,  1 Aug 2002 21:36:51 +0900

grandfatherclock (1.0.2-1) unstable; urgency=low

  * new upstream release (closes: #148524)
  * debian/README.Debian: the default audio device is /dev/dsp,
    not /dev/audio
  * doc/grandfatherclock.6: fixed typo
  * debian/control: added the URL of the upstream webpage
  * debian/copyright: update upstream information
  * debian/copyright: the license is GPL exactly version 2 (no later
    version is allowed)
  * bin/grandfatherclock: exits as soon as the sound playing command
    fails when tolling the hour

 -- Oohara Yuuma <oohara@debian.org>  Fri, 31 May 2002 23:52:37 +0900

grandfatherclock (1.0.1-7) unstable; urgency=low

  * bin/grandfatherclock, etc/grandfatherclockrc: changed the default
    command from cat *.au > /dev/audio to sox *.au -t ossdsp /dev/dsp
    (closes: #91997)
  * debian/control: added Depends: sox (>= 12.17.3-1) to ensure
    that it can run under the default configuration

 -- Oohara Yuuma <oohara@debian.org>  Fri, 22 Feb 2002 18:08:31 +0900

grandfatherclock (1.0.1-6) unstable; urgency=low

  * debian/README.Debian: replaced /dev/dsp with /dev/audio, removed
    a notice about deleting crontab after the removing the package
    (closes: #132932)
  * debian/conrtol: added Suggests: cron
  * debian/conrtol: changed the maintainer's email address

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 18:19:01 +0900

grandfatherclock (1.0.1-5) unstable; urgency=low

  * new maintainer
  * adopting an orphaned package (closes: #100228)
  * debian/control: s/Build-Depends/Build-Depends-Indep/
  * debian/rules: moved the entire build process from binary-arch
    to binary-indep
  * debian/control: added perl, perl-modules (>= 5.6.1-5) to Depends:
    because grandfatherclock(6) is a perl script and it uses getopts.pl
  * bin/grandfatherclock: applied the patch from Dylan Thurston
    <dpt@math.harvard.edu> to read the correct configuration file.
    The configuration file is /etc/grandfatherclockrc, not
    /etc/grandfatherclock/grandfatherclockrc. (closes: #109258)
  * debian/control: fixed a typo found by Matt Zimmerman <mdz@debian.org>'s
    mass spelling check (closes: #124700)
  * debian/rules: commented out some debhelper scripts, set DH_COMPAT to 2,
    and renamed the install directory from debian/tmp to
    debian/grandfatherclock
  * debian/docs: renamed to debian/grandfatherclock.examples
  * debian/rules: use dh_installexamples instead of dh_installdocs for
    the crontab example
  * grandfatherclock: added proper checks before the command execution
    because this is a crontab example
  * debian/control: added a "this is a simple cat *.au > /dev/dsp, but
    you can configure it as you like" excuse to description
  * debian/README.Debian: added a note about the permission of a sound
    device
  * debian/control: set Standards-Version to 3.5.6
  * etc/grandfatherclock: replaced the hardcoded sound device in
    PLAY_COMMAND with %a
  * bin/grandfatherclock, etc/grandfatherclock: use absolute path for cat(1)
  * etc/grandfatherclock: set AUDIO_DEVICE to /dev/audio

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Sun, 27 Jan 2002 01:44:02 +0900

grandfatherclock (1.0.1-4) unstable; urgency=low

  * Corrected typo in copyright file. 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu, 29 Mar 2001 11:56:35 +0200

grandfatherclock (1.0.1-3) unstable; urgency=low

  * Corrected manpage; closes: #87588 
  * Corrected typo in control

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sun, 25 Feb 2001 16:34:13 +0100

grandfatherclock (1.0.1-2) unstable; urgency=low

  * Cronline removed (file cron.d deleted); closes: #85624 #85626


=== debian/control ===
Source: grandfatherclock
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://grandfather.sourceforge.net/

Package: grandfatherclock
Architecture: all
Depends: ${misc:Depends}, perl, perl-modules (>= 5.6.1-5), sox (>= 12.17.3-1)
Suggests: cron
Description: a clock that tolls time acoustically
 grandfatherclock plays audio files to report the time.
 The default configuration emulates a grandfather clock
 with Westminster chimes. Cuckoo clock and Close Encounters
 of the Third Kind files are included as well.
 .
 As a matter of fact, grandfatherclock can be configured to
 execute any command.  The upstream default is simply to write
 a *.au file to a sound device file by using cat(1).
 .
 Since cat is not a good sound player, the default is changed
 to use sox instead.  grandfatherclock depends on sox to ensure
 that it can run under the default configuration.  You also need
 a kernel support for a sound device to use grandfatherclock.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cp $(CURDIR)/debian/Makefile \
	   $(CURDIR)/
	cp $(CURDIR)/debian/grandfatherclock-cron-example \
	   $(CURDIR)/grandfatherclock

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/grandfatherclock

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/grandfather/grandfatherclock-([\d\.]*)\.tar\.gz
